/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * QuoteTravelDate
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class QuoteTravelDate {
  @SerializedName("from")
  private LocalDate from = null;

  @SerializedName("duration")
  private Integer duration = null;

  public QuoteTravelDate from(LocalDate from) {
    this.from = from;
    return this;
  }

   /**
   * ISO 8601 format (YYYY-MM-DD)
   * @return from
  **/
  @ApiModelProperty(required = true, value = "ISO 8601 format (YYYY-MM-DD)")
  public LocalDate getFrom() {
    return from;
  }

  public void setFrom(LocalDate from) {
    this.from = from;
  }

  public QuoteTravelDate duration(Integer duration) {
    this.duration = duration;
    return this;
  }

   /**
   * Number of days for travel. (One-way trip &#x3D; 0)
   * minimum: 0
   * @return duration
  **/
  @ApiModelProperty(required = true, value = "Number of days for travel. (One-way trip = 0)")
  public Integer getDuration() {
    return duration;
  }

  public void setDuration(Integer duration) {
    this.duration = duration;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    QuoteTravelDate quoteTravelDate = (QuoteTravelDate) o;
    return Objects.equals(this.from, quoteTravelDate.from) &&
        Objects.equals(this.duration, quoteTravelDate.duration);
  }

  @Override
  public int hashCode() {
    return Objects.hash(from, duration);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class QuoteTravelDate {\n");
    
    sb.append("    from: ").append(toIndentedString(from)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

